Bug 149165 - Creating a new Activation Key resets any key set as Universal Default
Creating a new Activation Key resets any key set as Universal Default
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Vlady Zlatkin
Depends On:
Blocks: 145821
  Show dependency treegraph
Reported: 2005-02-19 14:20 EST by Matthew Davis
Modified: 2007-07-31 11:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-08 12:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Davis 2005-02-19 14:20:40 EST
Description of problem:
See $Summary

Version-Release number of selected component (if applicable):

Sat server 3.6.2 w /3.6-215 Database schema

How reproducible:


Steps to Reproduce:
1. Create a key, set it as "Universal Default" 
2. Create another key, leaving "Universial Default" set to "no". 
Actual results:
First key looses Universial Default setting

Expected results:
First key retains Universal Default setting
Error stating there already is a Universal Default
Comment 1 Robin Norwood 2005-02-24 14:38:55 EST
Fixed in CVS.

Test plan:

1) Create an activation key that is the universal default.
2) Create another activation key that is not the universal default.
3) Look at the list of activation keys - the universal default flag should be
correct for both keys.
Comment 2 Vlady Zlatkin 2005-03-03 18:02:57 EST
prod ready
Comment 4 Robin Norwood 2005-03-11 10:25:37 EST
See also bug #150499 - downgrading this to 'ON_QA' because of the case described
in that bug.
Comment 5 Vlady Zlatkin 2005-03-11 18:29:54 EST
Comment 7 Todd Warner 2005-04-08 12:35:37 EDT

Note You need to log in before you can comment on or make changes to this bug.